unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Error, FireDAC.UI.Intf,
  FireDAC.Phys.Intf, FireDAC.Stan.Def, FireDAC.Stan.Pool, FireDAC.Stan.Async,
  FireDAC.Phys, FireDAC.Phys.IB, FireDAC.Phys.IBDef, FireDAC.FMXUI.Wait,
  FMX.ListBox, FMX.Controls.Presentation, FMX.StdCtrls, Data.DB,
  FireDAC.Comp.Client, FireDAC.Stan.Param, FireDAC.DatS, FireDAC.DApt.Intf,
  FireDAC.DApt, System.Rtti, Fmx.Bind.Grid, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components,
  Data.Bind.Grid, FMX.Layouts, FMX.Grid, Data.Bind.DBScope, FireDAC.Comp.DataSet, system.IOUtils;

type
  TForm1 = class(TForm)
    FDConnection1: TFDConnection;
    Label1: TLabel;
    cbServer: TComboBox;
    Linux64: TListBoxItem;
    Linux32: TListBoxItem;
    Windows_Desktop: TListBoxItem;
    Win32: TListBoxItem;
    Win64: TListBoxItem;
    Database: TLabel;
    cbdatabase: TComboBox;
    Linux: TListBoxItem;
    emp: TListBoxItem;
    FDQuery1: TFDQuery;
    BindSourceDB1: TBindSourceDB;
    StringGridBindSourceDB1: TStringGrid;
    LinkGridToDataSourceBindSourceDB1: TLinkGridToDataSource;
    BindingsList1: TBindingsList;
    Button1: TButton;
    Button2: TButton;
    Employee: TListBoxItem;
    Driver: TLabel;
    cbdriver: TComboBox;
    Server: TListBoxItem;
    IBLite: TListBoxItem;
    none: TListBoxItem;
    Local_path: TListBoxItem;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if FDConnection1.Connected then
    FDConnection1.Close;
 {$IF DEFINED(IOS) or DEFINED(ANDROID)}
  FDConnection1.DriverName := 'IBLite';
{$ELSE}
  if cbdriver.Items[cbdriver.ItemIndex]='IBLite' then
    FDConnection1.DriverName := 'IBLite'
  else
    FDConnection1.DriverName := 'IB';
{$ENDIF}

  if (cbServer.Items[cbServer.ItemIndex]='none') or
     (cbServer.Items[cbServer.ItemIndex]='Windows_Desktop') then
    TFDPhysIBConnectionDefParams(FDConnection1.Params).Server := ''
  else
   TFDPhysIBConnectionDefParams(FDConnection1.Params).Server :=
    cbServer.Items[cbServer.ItemIndex];

  {$IF DEFINED(IOS) or DEFINED(ANDROID)}
     if TFDPhysIBConnectionDefParams(FDConnection1.Params).Server = '' then
       FDConnection1.Params.Database := TPath.GetDocumentsPath + PathDelim +
      cbdatabase.Items[cbdatabase.ItemIndex]
    else
      FDConnection1.Params.Database := cbdatabase.Items[cbdatabase.ItemIndex];
  {$ELSEIF DEFINED (MACOS)}
    if TFDPhysIBConnectionDefParams(FDConnection1.Params).Server = '' then
      FDConnection1.Params.Database := TPath.GetHomePath + PathDelim +
      cbdatabase.Items[cbdatabase.ItemIndex]
    else
      FDConnection1.Params.Database := cbdatabase.Items[cbdatabase.ItemIndex];
  {$ELSEIF DEFINED(MSWINDOWS)}
    FDConnection1.Params.Database := cbdatabase.Items[cbdatabase.ItemIndex];
  {$ENDIF}
  FDConnection1.Open;
  FDQuery1.Open;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FDConnection1.Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  {$IF DEFINED(IOS) or DEFINED(ANDROID)}
    cbdriver.Visible := false;
  {$ENDIF}
end;

end.
